<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginRight="@dimen/x40"
        android:layout_marginBottom="@dimen/y20"
        android:layout_weight="0.85"
        android:orientation="horizontal">

        <cn.bingoogolapple.bgabanner.BGABanner
            android:id="@+id/banner"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginRight="@dimen/x20"
            android:layout_weight="1"
            app:banner_placeholderDrawable="@drawable/banner_temp"
            app:banner_pointAutoPlayAble="true"
            app:banner_pointContainerBackground="@android:color/transparent"
            app:banner_pointDrawable="@drawable/bg_banner" />

        <!--        <FrameLayout-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="match_parent"-->
        <!--            android:layout_marginRight="@dimen/x20"-->
        <!--            android:layout_weight="1"-->
        <!--            android:visibility="gone">-->

        <!--            <ViewFlipper-->
        <!--                android:id="@+id/viewFlipper"-->
        <!--                android:layout_width="match_parent"-->
        <!--                android:layout_height="match_parent"-->

        <!--                ></ViewFlipper>-->

        <!--            -->
        <!--        </FrameLayout>-->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal">

            <ImageView
                style="@style/homefragment"
                android:layout_marginRight="@dimen/x20"
                android:background="@drawable/new_ai"
                android:gravity="center_horizontal"></ImageView>

            <ImageView
                style="@style/homefragment"
                android:layout_marginRight="@dimen/x20"
                android:background="@drawable/new_dictionary"
                android:gravity="center_horizontal"></ImageView>
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginRight="@dimen/x40"
        android:layout_marginBottom="@dimen/x20"
        android:layout_weight="1"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/nine_classes"
                style="@style/homefragment"
                android:layout_marginRight="@dimen/x20"
                android:background="@drawable/new_categories"></ImageView>

            <ImageView
                android:id="@+id/free_trial_area"
                style="@style/homefragment"
                android:layout_marginRight="@dimen/x20"
                android:background="@drawable/new_freetrial"></ImageView>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/study_plan"
                style="@style/homefragment"
                android:layout_marginRight="@dimen/x20"
                android:background="@drawable/new_studyplan"></ImageView>

            <ImageView
                android:id="@+id/video_face_to_face_iv"
                style="@style/homefragment"
                android:layout_marginRight="@dimen/x20"
                android:background="@drawable/video_face_to_face"></ImageView>

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginRight="@dimen/x40"
        android:layout_weight="1.1"
        android:orientation="horizontal">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/home_recycview"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"></androidx.recyclerview.widget.RecyclerView>

        <ImageButton
            android:id="@+id/increase"
            style="@style/increase_width"
            android:background="@drawable/add" />

    </LinearLayout>
</LinearLayout>